package cn.org.bjca.trust.push.message

import cn.org.bjca.trust.push.common.LogHelper
import cn.org.bjca.trust.push.enums.ConnAckReturnCode
import cn.org.bjca.trust.push.enums.OsType
import cn.org.bjca.trust.push.message.callback.CallbackListener
import cn.org.bjca.trust.push.message.msg.Message
import cn.org.bjca.trust.push.message.msg.SendMessage

class ImCallback : CallbackListener {
    override fun sendComplete(var1: SendMessage) {
        LogHelper.d("------发送消息完成------")
    }

    override fun sendError(msg: SendMessage) {
        LogHelper.d("消息发送失败")
    }

    override fun messageArrived(msg: Message) {
        LogHelper.d("------新消息------\t${msg}")
    }

    override fun connected() {
        LogHelper.d("------im连接成功------")
    }

    override fun connectionKicked(var1: OsType) {
        TODO("Not yet implemented")
    }

    override fun connectError(var1: ConnAckReturnCode) {
        LogHelper.d("im连接失败")
    }

    override fun connectionLost() {
        TODO("Not yet implemented")
    }

    override fun exceptionCause(var1: Throwable) {
        TODO("Not yet implemented")
    }
}